curl https://api.pipellm.ai/v2/videos/gen-xxxxxxxx \
-H "Authorization: Bearer $PIPELLM_API_KEY"
import os
import requests
response = requests.get(
"https://api.pipellm.ai/v2/videos/gen-xxxxxxxx",
headers={"Authorization": f"Bearer {os.environ['PIPELLM_API_KEY']}"},
)
print(response.json())
{
"id": "gen-xxxxxxxx",
"object": "video",
"model": "seedance-2-0-mini",
"provider": "volcengine",
"status": "completed",
"progress": 100,
"created_at": 1726400000,
"updated_at": 1726400120,
"completed_at": 1726400120,
"outputs": [
{
"type": "video",
"role": "result",
"url": "https://example.com/output.mp4",
"mime_type": "video/mp4",
"duration": 4.0
}
]
}
Get a video
Poll a video task. This request is not billed.
GET
/
v2
/
videos
/
{id}
curl https://api.pipellm.ai/v2/videos/gen-xxxxxxxx \
-H "Authorization: Bearer $PIPELLM_API_KEY"
import os
import requests
response = requests.get(
"https://api.pipellm.ai/v2/videos/gen-xxxxxxxx",
headers={"Authorization": f"Bearer {os.environ['PIPELLM_API_KEY']}"},
)
print(response.json())
{
"id": "gen-xxxxxxxx",
"object": "video",
"model": "seedance-2-0-mini",
"provider": "volcengine",
"status": "completed",
"progress": 100,
"created_at": 1726400000,
"updated_at": 1726400120,
"completed_at": 1726400120,
"outputs": [
{
"type": "video",
"role": "result",
"url": "https://example.com/output.mp4",
"mime_type": "video/mp4",
"duration": 4.0
}
]
}
Returns the same task envelope as create. Query is pinned to the platform that created the task.
A missing or foreign task ID returns
string
required
Public task ID returned by create (
gen-...).curl https://api.pipellm.ai/v2/videos/gen-xxxxxxxx \
-H "Authorization: Bearer $PIPELLM_API_KEY"
import os
import requests
response = requests.get(
"https://api.pipellm.ai/v2/videos/gen-xxxxxxxx",
headers={"Authorization": f"Bearer {os.environ['PIPELLM_API_KEY']}"},
)
print(response.json())
{
"id": "gen-xxxxxxxx",
"object": "video",
"model": "seedance-2-0-mini",
"provider": "volcengine",
"status": "completed",
"progress": 100,
"created_at": 1726400000,
"updated_at": 1726400120,
"completed_at": 1726400120,
"outputs": [
{
"type": "video",
"role": "result",
"url": "https://example.com/output.mp4",
"mime_type": "video/mp4",
"duration": 4.0
}
]
}
string
queued, in_progress, completed, failed, cancelled, or expired.integer
Optional 0–100 progress.
array
Present when the task completed. Duration is on each output, not the task.
object
Present when
status is failed. Contains code and message.object
Optional provider metering (
completion_tokens, total_tokens). Customer billing uses the create-time quote, not this object.404. This route does not charge.Was this page helpful?